PHP ��U
前一頁 |  | 下一頁

# mysql_client_encoding

(PHP 4 >= 4.3.0, PHP 5)

mysql_client_encoding -- Returns the name of the character set

## Description

string mysql_client_encoding ( [resource link_identifier] )

Retrieves the character_set variable from MySQL.

## Parameters

link_identifier

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If by chance no connection is found or established, an `E_WARNING` level warning is generated.

## Return Values

Returns the default character set name for the current connection.

## �d��

範例 1. mysql_client_encoding() example

`<?php $link = mysql_connect('localhost', 'mysql_user', 'mysql_password'); $charset = mysql_client_encoding($link); echo "The current character set is: $charset\n"; ?>`

The above example will output something similar to:

    The current character set is: latin1

## �Ѧ�

mysql_real_escape_string()

前一頁 | 內容 | 下一頁
mysql_change_user | 上一層 | mysql_close